<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:ecl="http://www.ote-cr.cz/schema/etso/types/etso-code-lists-v6r4"
	targetNamespace="http://www.ote-cr.cz/schema/etso/types/etso-core-cmpts-v8r0"
	elementFormDefault="qualified">
	<xsd:import
		namespace="http://www.ote-cr.cz/schema/etso/types/etso-code-lists-v6r4"
		schemaLocation="etso-code-lists-v6r4.xsd" />
	<!--_________________________________________________-->
	<!--                            ETSO CORE COMPONENTS          V7 R0     -->
	<!--_________________________________________________-->
	<xsd:annotation>
		<xsd:documentation>
			<Titre> List of ETSO Core Components which are used in the development of ETSO XML Messages  </Titre>
			<Version>Current Version: 7</Version>
			<Release>Current Release: 0</Release>
		</xsd:documentation>
	</xsd:annotation>
	<!--_________________________________________________-->
	<xsd:complexType name="AreaType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0009 </Uid>
				<Definition>A domain covering a number of related objects, such as balance area, grid area, etc.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="18"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="codingScheme" type="ecl:CodingSchemeType" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="AmountType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0022</Uid>
				<Definition>The monetary value of an object</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:decimal">
					<xsd:totalDigits value="17"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="CodeType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0023</Uid>
				<Definition>the coded representation of an object.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="3"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="DateType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0035</Uid>
				<Definition> The gregorian date   that must be expressed as: YYYY-MM-DD</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="xsd:date" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="IdentificationType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0001</Uid>
				<Definition>A code to uniquely distinguish one occurrence of an entity from another</Definition>.</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="35"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="MessageDateTimeType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0006</Uid>
				<Definition> (Synonym "Document Date Time") Date and time of the preparation of a document. The time must be expressed in UTC as: YYYY-MM-DDTHH:MM:SSZ</Definition>
			</xsd:documentation>
		</xsd:annotation>
        <xsd:attribute name="v" type="xsd:dateTime" use="required"/> 
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="MeteringPointType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0027</Uid>
				<Definition>A domain covering a number of related objects, such as metering point and accounting point, etc.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="18"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="codingScheme" type="ecl:CodingSchemeType" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="PartyType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0014</Uid>
				<Definition>The identification of an actor in the Energy market.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="16"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="codingScheme" type="ecl:CodingSchemeType" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="PositionType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0021</Uid>
				<Definition>(Synonym "pos") A sequential value representing the relative position of an entity within a space such as a time interval</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:integer">
					<xsd:minInclusive value="1"/>
					<xsd:maxInclusive value="999999"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="QuantityType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0012</Uid>
				<Definition>(Synonym "qty") The quantity of an energy product. Positive quantities shall not have a sign.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:decimal">
					<xsd:totalDigits    value = "16"/>
					<xsd:fractionDigits value = "4"/>
				</xsd:restriction> 
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ReasonTextType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0016</Uid>
				<Definition>The textual explanation of an act.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="512"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ResolutionType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0019</Uid>
				<Definition>Defines the number of units of time that compose an individual step within a period. The resolution is expressed in compliance with ISO 8601 in the following format:PnYnMnDTnHnMnS.Where nY expresses a number of years, nM a number of months, nD a number of days.The letter "T" separates the date expression from the time expression and after it nH identifies a number of hours, nM a number of minutes and nS a number of seconds.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="xsd:duration" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ResourceObjectType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0034</Uid>
				<Definition>The identification of a resource object in the Energy market.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="18"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="codingScheme" type="ecl:CodingSchemeType" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:simpleType name="SubValueType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0036</Uid>
				<Definition>The partial identification of an object, which associated with another value provides the complete identification.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="35"/>
		</xsd:restriction>
	</xsd:simpleType>
	<!--_________________________________________________-->
	<xsd:complexType name="TextType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0032</Uid>
				<Definition>A textual string</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="700"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="TimeType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0033</Uid>
				<Definition> The time within a 24 hour day  that must be expressed as: HH:MM:SS</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="xsd:time" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="TimeIntervalType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0007</Uid>
				<Definition>The start date and time and the end date and time of an event. The time interval must be expressed in a form respecting ISO 8601 : YYYY-MM-DDTHH:MMZ/YYYY-MM-DDTHH:MMZ.ISO 8601 rules for reduction may apply. The time must always be expressed in UTC.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:annotation>
				<xsd:documentation>
 			ISO 8601 time intervals are always expressed in the form 
			yyyy-mm-ddThh:mmZ/yyyy-mm-ddThh:mmZ
			Note: The minimum XML form of dateTime is yyyy-mm-ddThh:mm:ssZ
				</xsd:documentation>
			</xsd:annotation>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:pattern value="[2][0][0-1][0-9][\-][0-1][0-9][\-][0-3][0-9][T][0-2][0-9][:][0-6][0-9][Z][/][2][0][0-1][0-9][\-][0-1][0-9][\-][0-3][0-9][T][0-2][0-9][:][0-6][0-9][Z]"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="VersionType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0002</Uid>
				<Definition>A code that distinguishes one evolution of an identified object from another. Information about a specific object may be sent several times, each transmission being identified by a different version number.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:integer">
					<xsd:minInclusive value="1"/>
					<xsd:maxInclusive value="999"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
	</xsd:complexType>
	<!--_________________________________________________-->
	<!--                            ETSO CODE LIST TYPES                               -->
	<!--_________________________________________________-->
	<xsd:complexType name="AssetType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0031</Uid>
				<Definition>Identification of the type of asset </Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:AssetTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="AuctionType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0030</Uid>
				<Definition>The coded represenntation of different aucttion types</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:AuctionTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="BusinessType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0017</Uid>
				<Definition>The exact business nature identifying the principal characteristic of a time series. </Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:BusinessTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ClassificationType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0013 </Uid>
				<Definition>Indicates the classification mechanism used to group a set of objects together. The grouping may be of a detailed or a summary nature</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:ClassificationTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ContractType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0010</Uid>
				<Definition>The contract type defines the conditions under which the capacity is allocated and handled. EG: daily auction, weekly auction, monthly auction, yearly auction, etc. The significance of this type is dependent on area specific coded working methods</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:ContractTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="CurrencyType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0024 </Uid>
				<Definition>The coded identification of legal tender using ISO 4217 3 alpha codes</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:CurrencyTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="DirectionType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0026</Uid>
				<Definition>The coded identification of the direction of energy flow. </Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:DirectionTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="EicType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0028</Uid>
				<Definition>The coded identification of the type of an EIC code. </Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:EicTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="EnergyProductType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0008 </Uid>
				<Definition>The identification of the nature of an energy product such as Power, energy, reactive power, etc.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:EnergyProductTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="IndicatorType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0029</Uid>
				<Definition>A boolean indicator to express Yes or No or True or False</Definition>.</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:IndicatorTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="MessageType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0003 </Uid>
				<Definition> (Synonym "Document Type") The coded type of a document. The document type describes the principal characteristic of a document</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:MessageTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ObjectAggregationType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0018</Uid>
				<Definition>The identification of the domain that is the common dominator used to aggregate a time series.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:ObjectAggregationTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ProcessType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0020</Uid>
				<Definition>Indicates the nature of process that the document addresses.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:ProcessTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="ReasonCodeType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0015 </Uid>
				<Definition>The coded motivation of an act.</Definition>>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:ReasonCodeTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="RoleType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0005</Uid>
				<Definition>Identification of the role played by a party. </Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:RoleTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="StatusType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0025</Uid>
				<Definition>The condition or position of an object with regard to its standing.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:StatusTypeList" use="required"/>
	</xsd:complexType>
	<!--_________________________________________________-->
	<xsd:complexType name="UnitOfMeasureType">
		<xsd:annotation>
			<xsd:documentation>
				<Uid>ET0011</Uid>
				<Definition>(synonym MeasurementUnit) The unit of measure that is applied to a quantity. The measurement units shall be in compliance with UN/ECE Recommendation 20.</Definition>
			</xsd:documentation>
		</xsd:annotation>
		<xsd:attribute name="v" type="ecl:UnitOfMeasureTypeList" use="required"/>
	</xsd:complexType>
	<!-- ___________________________________________________________ -->
	<!-- ___________________________________________________________ -->
</xsd:schema>
